Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class I3DXML.VertexBufferType

    java.lang.Object
      igeo.io.I3DXML.VertexBufferType

Enclosing class:
  I3DXML

    public static class I3DXML.VertexBufferType

extends java.lang.Object

Field Summary
`I3DXML.ColorBufferType` | `diffuseColors`
`IVec[]` | `normals`
`I3DXML.ColorBufferType` | `specularColors`
`java.util.ArrayList<I3DXML.TextureCoordinatesBufferType>` | `textureCoordinates`
`IVertex[]` | `vertices`

Constructor Summary
`I3DXML.VertexBufferType()`
`I3DXML.VertexBufferType(I3DXML.VertexBufferType vb)`

Method Summary
`IVec` | `getNormal(int i)`
`int` | `getNormalNum()`
`IVertex` | `getVertex(int i)`
`int` | `getVertexNum()`
`(package private) static IVec[]` | `parseVector(java.lang.String str, int dim)`
`(package private) static IVertex[]` | `parseVertex(java.lang.String str, int dim)`
`(package private) static double[][]` | `parseXYZ(java.lang.String str, int dim)`
`void` | `setNormals(java.lang.String nml)`
`void` | `setPositions(java.lang.String pos)`
`void` | `transform(IMatrix4 m)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### textureCoordinates

    public java.util.ArrayList<I3DXML.TextureCoordinatesBufferType> textureCoordinates

### diffuseColors

    public I3DXML.ColorBufferType diffuseColors

### specularColors

    public I3DXML.ColorBufferType specularColors

### normals

    public IVec[] normals

### vertices

    public IVertex[] vertices

Constructor Detail

### I3DXML.VertexBufferType

    public I3DXML.VertexBufferType()

### I3DXML.VertexBufferType

    public I3DXML.VertexBufferType(I3DXML.VertexBufferType vb)

Method Detail

### transform

    public void transform(IMatrix4 m)

### parseVertex

    static IVertex[] parseVertex(java.lang.String str,
                                 int dim)

### parseVector

    static IVec[] parseVector(java.lang.String str,
                              int dim)

### parseXYZ

    static double[][] parseXYZ(java.lang.String str,
                               int dim)

### setPositions

    public void setPositions(java.lang.String pos)

### setNormals

    public void setNormals(java.lang.String nml)

### getVertexNum

    public int getVertexNum()

### getNormalNum

    public int getNormalNum()

### getVertex

    public IVertex getVertex(int i)

### getNormal

    public IVec getNormal(int i)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD